import { CodeNode, GetValueNode, NextCallback } from '@esydoc/share';
declare function genTransfromDepsCode(): string;
declare module TestCaseNode {
    type OnDoneByUser = NextCallback;
    type Options = {
        args: GetValueNode.Args;
        expect: any;
        deps?: string[];
        onDone?: OnDoneByUser;
        apiPath: string;
        sort: number;
        categroySort: number;
    };
}
declare class TestCaseNode extends CodeNode {
    static genTransfromDepsCode: typeof genTransfromDepsCode;
    options: TestCaseNode.Options;
    args: GetValueNode;
    expect: GetValueNode;
    constructor(options: TestCaseNode.Options);
    genDoneByUserControlFn(doneKey: string): string;
    useTryCatch(runCode: string, handeErrorCode: (errorKey: string) => string): string;
    generate(): string;
}
export default TestCaseNode;
